package com.logicbig.example;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.HttpHeaders;
import javax.ws.rs.core.MultivaluedMap;
import java.util.List;
import java.util.Map;

@Path("/users")
public class UserResource {
    @Context
    private HttpHeaders httpHeaders;

    @GET
    public String getUsers() {
        System.out.println("In getUsers() method");
        printHeaderInfo();
        return "returning dummy user list";
    }

    private void printHeaderInfo() {
        System.out.println("---------------");
        MultivaluedMap<String, String> requestHeaders = httpHeaders.getRequestHeaders();
        for (Map.Entry<String, List<String>> entry : requestHeaders.entrySet()) {
            System.out.println(entry.getKey() + "=" + entry.getValue());
        }
    }
}